> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/property-verification/submit-property-verification.md).

# Submit Property Verification

{% hint style="warning" %}
Please note that you are required to have a webhook set for property verification requests to be successful. If they are not set, you will not get notified when the verification has been completed.
{% endhint %}

## Submit Property for Verification

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/properties`

This endpoint allows you to create a property verification request

#### Headers

| Name                                             | Type   | Description          |
| ------------------------------------------------ | ------ | -------------------- |
| Authentication<mark style="color:red;">\*</mark> | string | Authentication token |

#### Request Body

| Name                                                | Type   | Description                         |
| --------------------------------------------------- | ------ | ----------------------------------- |
| customerReference<mark style="color:red;">\*</mark> | string | Customer reference                  |
| propertyName<mark style="color:red;">\*</mark>      | string | Property Name                       |
| propertyType<mark style="color:red;">\*</mark>      | string | Property Type                       |
| address<mark style="color:red;">\*</mark>           | string | Street                              |
| lgaName<mark style="color:red;">\*</mark>           | string | LGA                                 |
| contactPerson<mark style="color:red;">\*</mark>     | object | {firstName, lastName, phone, email} |

{% tabs %}
{% tab title="200 Property Verification Submitted Successfully" %}

```
{
  "isAsset": true,
  "verificationTypeCode": "property",
  "createdAt": "2021-10-06T14:56:48.000Z",
  "updatedAt": "2021-10-06T14:56:48.000Z",
  "id": 71,
  "agentId": null,
  "applicantId": null,
  "organisationId": 1,
  "userId": 1,
  "groupId": 10,
  "statusId": 2,
  "opsStatusId": 2,
  "agentStatusCode": null,
  "agentComment": null,
  "assignedBy": null,
  "assignedAt": null,
  "approvedAt": null,
  "approvedBy": null,
  "rejectedAt": null,
  "rejectedBy": null,
  "updatedBy": null,
  "requestedAt": "2021-10-06T14:56:48.000Z",
  "consentReference": "yo0pvJLUGLy14IqRKrdHz",
  "orderNumber": null,
  "fulfillmentNumber": null,
  "agentCommission": 400,
  "requestSource": "api",
  "agentPaymentReference": null,
  "agentSubmittedAt": null,
  "archived": false,
  "timeToCompletion": 0,
  "price": 0,
  "specialPrice": 0,
  "discount": 0,
  "overrideAgentCommission": 0,
  "commissionComment": null,
  "slaHour": 24,
  "canContactPoc": false,
  "apiReference": null,
  "bundleCode": null,
  "adminComment": null,
  "stateId": 25,
  "lgaId": 500,
  "latitude": null,
  "longitude": null,
  "isVague": true,
  "customerReference": "cust-m-001",
  "paymentMethodCode": "standard",
  "verificationType": {
    "createdAt": "2021-07-27T12:48:30.000Z",
    "updatedAt": "2021-07-27T11:48:30.000Z",
    "id": 1,
    "code": "property",
    "name": "property verification",
    "description": "Property verifcation type indicated all verification types that are done for a property"
  },
  "status": {
    "id": 2,
    "code": "ops_action",
    "label": "Ops Action",
    "stateCode": "pending",
    "stateLabel": "Pending"
  },
  "opsStatus": {
    "id": 2,
    "code": "ops_action",
    "label": "Ops Action",
    "stateCode": "pending",
    "stateLabel": "Pending"
  },
  "lga": {
    "id": 500,
    "code": "LGA500",
    "name": "Agege",
    "strippedName": "agege",
    "stateId": 25,
    "state": {
      "id": 25,
      "code": "NG-LA",
      "name": "Lagos",
      "strippedName": "lagos",
      "countryId": 1
    }
  },
  "lgaName": "Agege",
  "stateName": "Lagos",
  "propertyAesthestic": {
    "hasMarksAndStains": null,
    "marksAndStainsRating": null,
    "hasMinimumOfTwoSittingRoomWindows": null,
    "hasMinimumOfTwoBedRoomWindows": null,
    "additionalComments": null
  },
  "propertyBasic": {
    "propertyType": "Apartment",
    "propertyCost": null,
    "propertyName": "Ola studio",
    "scheduleDate": null,
    "propertyPhoto1": null,
    "propertyPhoto2": null,
    "propertyPhoto3": null,
    "propertyPhoto4": null,
    "propertyPhoto5": null,
    "propertyPhoto6": null
  },
  "propertyConfirmation": {
    "numberOfBedrooms": null,
    "numberOfBathrooms": null,
    "hasClothStorageFurniture": null,
    "isSmokingAllowed": null,
    "areEventsAllowed": null,
    "areChildrenAllowed": null,
    "arePetsAllowed": null,
    "hasDryer": null,
    "hasLift": null,
    "hasHotWater": null,
    "hasTV": null,
    "hasAirConditioning": null,
    "hasFirstAidKit": null,
    "hasWashingMachine": null,
    "hasToiletries": null,
    "hasWiFi": null,
    "hasBunker": null,
    "hasSmokeDetector": null,
    "hasFireExtinguisher": null,
    "hasBreakfast": null,
    "hasTowel": null,
    "hasBedsheets": null
  },
  "propertyContactPerson": {
    "firstName": "Folarin",
    "lastName": "Adedeji",
    "phone": "+2348074567321",
    "email": "folarin@test.com"
  },
  "propertyCriterial": {
    "hasEmergencyExit": null,
    "hasWindowsBurglaryProof": null,
    "hasDoorsBurglaryProof": null,
    "areElectricWiresExposed": null,
    "additionalSafetyComment": null
  },
  "propertyLocation": {
    "hasTarredRoad": null,
    "hasParkingSpace": null,
    "availableCarSpace": null,
    "commentAboutLocation": null,
    "street": "oko oba",
    "city": null,
    "hostLivesHere": null,
    "numberOfTenants": null,
    "latitude": null,
    "longitude": null
  },
  "propertyUtilities": {
    "tapsRunWell": null,
    "hasCableTv": null,
    "hasStandbyGenerator": null,
    "hasKitchen": null,
    "hasMicrowave": null,
    "hasElectricKettle": null,
    "hasCookingStove": null,
    "hasPlatesAndCups": null,
    "hasCutlery": null,
    "additionalUtilitiesComment": null
  },
  "exteriorPhotos": {
    "exteriorPhoto1": null,
    "exteriorPhoto2": null,
    "exteriorPhoto3": null,
    "exteriorPhoto4": null,
    "exteriorPhoto5": null,
    "exteriorPhoto6": null
  },
  "slaElapse": 0,
  "isLate": false
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="JSON" %}

```
{
  "customerReference": "yo0pvJLUGLy14IqRKrdHz",
  "propertyName": "Landmark Apartments",
  "propertyType": "Apartment",
  "address": "Adekunle Fasasi",
  "lgaName": "Agege",
  "contactPerson": {
    "firstName": "Henry",
    "lastName": "Abu",
    "phone": "08074856213",
    "email": "henry@test.com"
  }
}
```

{% endtab %}

{% tab title="CURL" %}

```
curl --location --request POST 'https://vapi.verifyme.ng/v1/assets/property' \
--header 'Authorization: Bearer <live or test key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "customerReference": "yo0pvJLUGLy14IqRKrdHz",
  "propertyName": "Landmark Apartments",
  "propertyType": "Apartment",
  "address": "Adekunle Fasasi",
  "lgaName": "Agege",
  "contactPerson": {
    "firstName": "Henry",
    "lastName": "Abu",
    "phone": "08074856213",
    "email": "henry@test.com"
  }
}'
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="CURL" %}

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/property-verification/submit-property-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
